Definition
https://sandbox.bluesnap.com/services/2/wallets/<walletid>
The Retrieve Wallet request retrieves the details for the shopper's wallet, including the credit card's last four digits, shipping and contact info, etc.
Wallet expiration
The
walletresource for a specific wallet ID can only be retrieved within 15 minutes from its creation.
JSON
JSON Request Content
Enter the walletId into the web service URL, in the format:
services/2/wallets/{walletId}
For example:
services/2/wallets/1234567
JSON Response Details
If successful, the response HTTP status code is 200 OK.
The response contains the retrieved wallet object (see wallet (JSON object)).
JSON Examples
Request Example
curl -v -X GET https://sandbox.bluesnap.com/services/2/wallets/1234567 \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d 'Response Example
{
"country": "us",
"firstName": "FirstName",
"lastName": "LastName",
"billingContactInfo": {
"zip": "zip",
"country": "country",
"address2": "line2 + line3",
"city": "city",
"address1": "line1",
"state": "state"
},
"phone": "1-9871111111",
"shippingContactInfo": {
"zip": "zip",
"country": "country",
"firstName": "recipient",
"lastName": "name",
"address2": "line2 + line3",
"city": "city",
"phone": "recipient phone number",
"address1": "line1",
"state": "state"
},
"creditCard": {
"expirationYear": 2022,
"cardLastFourDigits": "0026",
"cardFingerprint": "a0f6043de947e...",
"cardSubType": "CREDIT",
"cardType": "VISA",
"cardSubType": "CREDIT",
"cardCategory": "CLASSIC",
"expirationMonth": 2
},
"email": "[email protected]"
}XML
XML Request Content
Enter the wallet-id into the web service URL, in the format:
services/2/wallets/{wallet-id}
For example:
services/2/wallets/1234567
XML Response Details
If successful, the response HTTP status code is 200 OK.
The response contains the retrieved wallet resource (see wallet (XML resource)).
XML Examples
Request Example
curl -v -X GET https://sandbox.bluesnap.com/services/2/wallets/1234567 \
-H 'Content-Type: application/xml' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ='Response Example
<?xml version="1.0" encoding="UTF-8"?>
<wallet xmlns="http://ws.plimus.com">
<first-name>FirstName</first-name>
<last-name>LastName</last-name>
<email>[email protected]</email>
<country>us</country>
<phone>1-9871111111</phone>
<credit-card>
<card-last-four-digits>0026</card-last-four-digits>
<card-type>VISA</card-type>
<card-sub-type>CREDIT</card-sub-type>
<card-category>CLASSIC</card-category>
<card-fingerprint>a0f6043de947e...</card-fingerprint>
<expiration-month>2</expiration-month>
<expiration-year>2022</expiration-year>
</credit-card>
<billing-contact-info>
<address1>line1</address1>
<address2>line2 + line3</address2>
<city>city</city>
<state>state</state>
<zip>zip</zip>
<country>country</country>
</billing-contact-info>
<shipping-contact-info>
<first-name>recipient</first-name>
<last-name>name</last-name>
<address1>line1</address1>
<address2>line2 + line3</address2>
<city>city</city>
<state>state</state>
<zip>zip</zip>
<country>country</country>
<phone>recipient phone number</phone>
</shipping-contact-info>
</wallet>